ModuleTree (Java SE 11 & JDK 11 )
Keywords: com.sun.source.tree.ModuleTree interface

Module jdk.compiler
Package com.sun.source.tree

## Interface ModuleTree

- All Superinterfaces:
    `Tree`

      public interface ModuleTree
      extends Tree

  A tree node for a module declaration. For example:

          annotations
          [open] module module-name {
              directives
          }

  Since:
    9

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ModuleTree.ModuleKind` | The kind of the module.

    - ### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends AnnotationTree>` | `getAnnotations()` | Returns the annotations associated with this module declaration.
    `List<? extends DirectiveTree>` | `getDirectives()` | Returns the directives in the module declaration.
    `ModuleTree.ModuleKind` | `getModuleType()` | Returns the type of this module.
    `ExpressionTree` | `getName()` | Returns the name of the module.

    - ### Methods declared in interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getAnnotations

          List<? extends AnnotationTree> getAnnotations()

      Returns the annotations associated with this module declaration.
      Returns:
        the annotations

    - #### getModuleType

          ModuleTree.ModuleKind getModuleType()

      Returns the type of this module.
      Returns:
        the type of this module

    - #### getName

          ExpressionTree getName()

      Returns the name of the module.
      Returns:
        the name of the module

    - #### getDirectives

          List<? extends DirectiveTree> getDirectives()

      Returns the directives in the module declaration.
      Returns:
        the directives in the module declaration